| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
ThirdBody Class Reference
Chemical Kinetics » Reactions and Reaction Rates

A class for managing third-body efficiencies, including default values. More...

`#include <Reaction.h>`

## Detailed Description

A class for managing third-body efficiencies, including default values.

Definition at line 212 of file Reaction.h.

## Public Member Functions
| ThirdBody (const string &third_body)
| ThirdBody (const AnyMap &node)
| ThirdBody (double default_efficiency)
string | name () const
| Name of the third body collider.
void | setName (const string &third_body)
| Set name of the third body collider.
void | setEfficiencies (const AnyMap &node)
| Set third-body efficiencies from AnyMap node
void | setParameters (const AnyMap &node)
| Set third-body efficiencies from AnyMap node
void | getParameters (AnyMap &node) const
| Get third-body efficiencies from AnyMap node
double | efficiency (const string &k) const
| Get the third-body efficiency for species k
string | collider () const
| Suffix representing the third body collider in reaction equation, for example `+ M` or `(+M)`
bool | checkSpecies (const Reaction &rxn, const Kinetics &kin) const
| Verify that all species involved in collision efficiencies are defined in the Kinetics object.

## Public Attributes
Composition | efficiencies
| Map of species to third body efficiency.
double | default_efficiency = 1.
| The default third body efficiency for species not listed in efficiencies.
bool | mass_action = true
| Third body is used by law of mass action (`true` for three-body reactions, `false` for falloff reactions)
bool | explicit_3rd = false
| Flag indicating whether third body requires explicit serialization.

## Protected Attributes
string | m_name = "M"
| Name of the third body collider.

## Constructor & Destructor Documentation

## ◆ ThirdBody() [1/4]

ThirdBody | ( |  | ) |
| inline explicit

Definition at line 215 of file Reaction.h.

## ◆ ThirdBody() [2/4]

ThirdBody | ( | const string & | third_body | ) |

Definition at line 729 of file Reaction.cpp.

## ◆ ThirdBody() [3/4]

ThirdBody | ( | const AnyMap & | node | ) |

Definition at line 762 of file Reaction.cpp.

## ◆ ThirdBody() [4/4]

ThirdBody | ( | double | default_efficiency | ) |

Deprecated:
  To be removed after Cantera 3.0; instantiate using string instead

Definition at line 721 of file Reaction.cpp.

## Member Function Documentation

## ◆ name()

string name | ( |  | ) | const
| inline

Name of the third body collider.

Since
  New in Cantera 3.0

Definition at line 224 of file Reaction.h.

## ◆ setName()

void setName | ( | const string & | third_body | ) |

Set name of the third body collider.

Since
  New in Cantera 3.0

Definition at line 734 of file Reaction.cpp.

## ◆ setEfficiencies()

void setEfficiencies | ( | const AnyMap & | node | ) |

Set third-body efficiencies from AnyMap node

Deprecated:
  To be removed after Cantera 3.0; renamed to setParameters

Definition at line 767 of file Reaction.cpp.

## ◆ setParameters()

void setParameters | ( | const AnyMap & | node | ) |

Set third-body efficiencies from AnyMap node

Since
  New in Cantera 3.0

Definition at line 774 of file Reaction.cpp.

## ◆ getParameters()

void getParameters | ( | AnyMap & | node | ) | const

Get third-body efficiencies from AnyMap node

Parameters

  node | AnyMap receiving serialized parameters

Since
  New in Cantera 3.0

Definition at line 796 of file Reaction.cpp.

## ◆ efficiency()

double efficiency | ( | const string & | k | ) | const

Get the third-body efficiency for species k

Definition at line 809 of file Reaction.cpp.

## ◆ collider()

string collider | ( |  | ) | const

Suffix representing the third body collider in reaction equation, for example `+ M` or `(+M)`

Since
  New in Cantera 3.0

Definition at line 814 of file Reaction.cpp.

## ◆ checkSpecies()

bool checkSpecies | ( | const Reaction & | rxn,
|  | const Kinetics & | kin
| ) |  | const

Verify that all species involved in collision efficiencies are defined in the Kinetics object.

The function returns true if all species are found, and raises an exception unless the Kinetics object is configured to skip undeclared species, in which case false is returned.

Parameters

  rxn | Reaction object
  kin | Kinetics object

Since
  New in Cantera 3.0

Definition at line 822 of file Reaction.cpp.

## Member Data Documentation

## ◆ efficiencies

Composition efficiencies

Map of species to third body efficiency.

Definition at line 263 of file Reaction.h.

## ◆ default_efficiency

double default_efficiency = 1.

The default third body efficiency for species not listed in efficiencies.

Definition at line 266 of file Reaction.h.

## ◆ mass_action

bool mass_action = true

Third body is used by law of mass action (`true` for three-body reactions, `false` for falloff reactions)

Definition at line 270 of file Reaction.h.

## ◆ explicit_3rd

bool explicit_3rd = false

Flag indicating whether third body requires explicit serialization.

Definition at line 273 of file Reaction.h.

## ◆ m_name

string m_name = "M"
| protected

Name of the third body collider.

Definition at line 277 of file Reaction.h.

The documentation for this class was generated from the following files:

- Reaction.h
- Reaction.cpp